This is a server transport plugin for the websocket pluggable transport
for Tor. For information on the protocol, see
doc/websocket-transport.txt.

To the extent possible under law, the authors have dedicated all
copyright and related and neighboring rights to this software to the
public domain worldwide. This software is distributed without any
warranty. See COPYING.


== How to build and install

In order to build, you need development tools for the Go programming
language ("apt-get install golang" on Debian).
        $ make
        # make install


== How to run a relay

You will need a version of Tor supporting the extended OR port protocol.
Git master as of 15 August, 2013 works.

        $ git clone https://git.torproject.org/tor.git

Add configuration like the following to the relay's torrc. You can
change the --port option; make sure that port is open in the firewall.

        ExtORPort 6669
        ServerTransportPlugin websocket exec /usr/local/bin/pt-websocket-server --port 9901
